%define upstream_name    Template-Semantic
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Template::Semantic Recipes, tricks, hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Selector::XPath) >= 0.170.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildArch:  noarch

%description
Template::Semantic is a template engine for XHTML/XML based on the
XML::LibXML manpage that doesn't use any template syntax. This module takes
pure XHTML/XML as a template, and uses XPath or CSS selectors to assign
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Build.PL INSTALLDIRS=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot} --prefix=/usr
mv %buildroot/%_datadir/perl5/{5*,vendor_perl}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-3.mga10
+ Revision: 2206457
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-2.mga9
+ Revision: 1813006
- Mageia 9 Mass Rebuild

* Wed Aug 12 2020 tv <tv> 0.100.0-1.mga8
+ Revision: 1613530
- update to 0.10

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-11.mga8
+ Revision: 1506222
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-10.mga7
+ Revision: 1286280
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.90.0-9.mga7
+ Revision: 1166686
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.90.0-8.mga7
+ Revision: 1160349
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1033911
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 951059
- Mageia 6 Mass Rebuild

* Sun Dec 07 2014 sander85 <sander85> 0.90.0-5.mga5
+ Revision: 801998
- Fix test
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 514928
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 373180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 310852
- New version 0.09

* Wed Jul 11 2012 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 269499
- imported package perl-Template-Semantic


* Wed Jul 11 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
